Bug 1284237 - [kn] Change the default Kannada font to Noto from Lohit-Kannada
[kn] Change the default Kannada font to Noto from Lohit-Kannada
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: font-manager (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 05:04 EST by ShankarPrasad
Modified: 2017-08-08 08:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:27:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Lohit-kannada_and_Noto (243.64 KB, image/png)
2015-11-22 06:37 EST, ShankarPrasad
no flags Details

  None (edit)
Description ShankarPrasad 2015-11-22 05:04:41 EST
Description of problem:
Aesthetically the Noto fonts are way better than Lohit-Kannada. Change the default system font for Kannada to Noto.

Actual results:
The default fonts of the current fedora releases are Lohit-Kannada

Expected results:
Noto should be made the default font.

Additional info: To see a comparison between these two fonts, please follow below steps:

1.Make sure that you have Noto font
2.Open the UTRRS page : http://utrrs-testing.rhcloud.com/language/kn
3.Enter "Noto Sans Kannada" and click on Change Font button.
4.Compare the References (Lohit-Kannada) with those of rendered Characters (Noto Sans) for Code points, GPOS and GSUB.
Comment 1 Omshivaprakash 2015-11-22 05:38:55 EST
Agree with Shankar on this.
Comment 2 ShankarPrasad 2015-11-22 06:37 EST
Created attachment 1097520 [details]
Lohit-kannada_and_Noto

Here is a comparison between two fonts.
Comment 3 Yogesh 2015-11-22 06:39:00 EST
I support this change of font to Noto Sans Kannada from Lohit Kannada.
Comment 4 Jean-Francois Saucier 2015-12-23 09:29:33 EST
I don't think that the component of this bug should be font-manager. font-manager is a user program to manage installed fonts for the user in the system.

It does not define that default system fonts that are shipped with Fedora.
Comment 5 ShankarPrasad 2015-12-23 11:48:08 EST
Ok. I was not aware of the relevant packages for this bug.

If you know which component decides the default packages for a locale, please change it.

Thanks in advance.
Comment 6 ShankarPrasad 2015-12-23 11:56:15 EST
Here, by default packages I meant default font packages.
Comment 7 Jan Kurik 2016-02-24 09:00:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 8 Fedora End Of Life 2017-07-25 15:32:42 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-08-08 08:27:07 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.